# SPDX-FileCopyrightText: 2019-2021 Freemelt AB <opensource@freemelt.com>
#
# SPDX-License-Identifier: GPL-3.0-only

# docker build -f .gitlab-ci-dockerfile.yml -t registry.gitlab.com/freemelt/machine-software/chamber-service .
# docker push registry.gitlab.com/freemelt/machine-software/chamber-service
FROM debian:buster

RUN apt-get update
RUN apt-get -y --no-install-recommends install \
       build-essential \
       curl \
       devscripts \
       dpkg-dev \
       debhelper \
       dh-python \
       python3-all \
       python3-setuptools
RUN apt-get -y --no-install-recommends install \
       python3-grpcio \
       python3-grpc-tools \
       python3-paho-mqtt \
       python3-protobuf \
       python3-nose2

       

